WinShopAPI docs
ReferenceDocumentsStock takingStock takings

Add items to a stock taking

Appends the items in the body to an existing stock taking and recalculates the document totals. Requires `Permissions.StockTakings.Create`.

POST
/api/documents/stock-taking/stock-takings/{documentId}/items

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

documentId*integer
Formatint32

Request Body

application/json
  1. body
[index: integer]?

Response Body

response?unknownapplication/octet-stream
curl -X POST 'https://<your-instance>/api/documents/stock-taking/stock-takings/0/items' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '[  {}]'
null